<?php
// +----------------------------------------------------------------------
// | saiadmin [ saiadmin快速开发框架 ]
// +----------------------------------------------------------------------
// | Author: your name
// +----------------------------------------------------------------------
namespace app\dice\model\player;

use plugin\saiadmin\basic\think\BaseModel;

/**
 * 大富翁-玩家模型
 *
 * dice_player 大富翁-玩家
 *
 * @property  $id ID
 * @property  $username 用户名
 * @property  $name 昵称
 * @property  $password 密码
 * @property  $status 状态
 * @property  $coin 平台币
 * @property  $is_up 倍率
 * @property  $t1_wight T1池权重
 * @property  $t2_wight T2池权重
 * @property  $t3_wight T3池权重
 * @property  $t4_wight T4池权重
 * @property  $t5_wight T5池权重
 * @property  $total_draw_count 总抽奖次数
 * @property  $paid_draw_count 购买抽奖次数
 * @property  $free_draw_count 赠送抽奖次数
 * @property  $created_at 创建时间
 * @property  $updated_at 更新时间
 * @property  $deleted_at 删除时间
 */
class DicePlayer extends BaseModel
{
    /**
     * 数据表主键
     * @var string
     */
    protected $pk = 'id';

    /**
     * 数据库表名称
     * @var string
     */
    protected $table = 'dice_player';

    /**
     * 用户名 搜索
     */
    public function searchUsernameAttr($query, $value)
    {
        $query->where('username', 'like', '%'.$value.'%');
    }

    /**
     * 昵称 搜索
     */
    public function searchNameAttr($query, $value)
    {
        $query->where('name', 'like', '%'.$value.'%');
    }

    /**
     * 状态 搜索
     */
    public function searchStatusAttr($query, $value)
    {
        if ($value !== '' && $value !== null) {
            $query->where('status', '=', $value);
        }
    }

    /**
     * 平台币 搜索
     */
    public function searchCoinAttr($query, $value)
    {
        if ($value !== '' && $value !== null) {
            $query->where('coin', '=', $value);
        }
    }

    /**
     * 倍率 搜索
     */
    public function searchIs_upAttr($query, $value)
    {
        if ($value !== '' && $value !== null) {
            $query->where('is_up', '=', $value);
        }
    }

}
